Gio::ResourceError Class Reference

Exception class for resource file handling errors. More...

`#include <giomm/resource.h>`

Inheritance diagram for Gio::ResourceError:
[legend]

## Public Types

## Public Member Functions

| ResourceError (Code error_code, const Glib::ustring& error_message)
| ResourceError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance. More...
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members

Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for resource file handling errors.

Since glibmm 2.34:

## Member Enumeration Documentation

enum Gio::ResourceError::Code

An error code used with G_RESOURCE_ERROR in a Error returned from a Resource routine.

Since glibmm 2.34:

Enumerator
NOT_FOUND | No file was found at the requested path.
INTERNAL | Unknown error.

## Constructor & Destructor Documentation

Gio::ResourceError::ResourceError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::ResourceError::ResourceError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gio::ResourceError::code | ( |  | ) | const